#
# spec file for package cyrus-sasl (Version 2.1.15)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  db db-devel des kerberos-devel-packages openssl openssl-devel opie
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib db-devel des e2fsprogs-devel gcc gdbm gettext heimdal heimdal-devel heimdal-lib libtool openssl-devel opie perl rpm

Name:         cyrus-sasl
Obsoletes:    cyrus-sasl2
Provides:     cyrus-sasl2
License:      BSD, Other License(s), see package
Group:        Productivity/Networking/Other
URL:          http://asg.web.cmu.edu/sasl/
Autoreqprov:  on
Summary:      Implementation of Cyrus SASL API
Version:      2.1.15
Release:      109
Source:       cyrus-sasl-%{version}.tar.bz2
Source1:      SuSE.tar.gz
Patch:        cyrus-sasl-%{version}.dif
Patch1:       shared_link_on_ppc.patch
Patch2:       digestmd5.c.patch
Prereq:       %insserv_prereq %fillup_prereq
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package      gssapi
Obsoletes:    cyrus-sasl2-gssapi
Provides:     cyrus-sasl2-gssapi
Summary:      Cyrus SASL API implementation
Autoreqprov:  on
Group:        Development/Libraries/C and C++
Prefix:       %{_prefix}
Requires:     cyrus-sasl
%package      crammd5
Summary:      Cyrus SASL API implementation
Autoreqprov:  on
Group:        Development/Libraries/C and C++
Prefix:       %{_prefix}
Requires:     cyrus-sasl
%package      digestmd5
Summary:      Cyrus SASL API implementation
Autoreqprov:  on
Group:        Development/Libraries/C and C++
Prefix:       %{_prefix}
Requires:     cyrus-sasl
%package      otp
Summary:      Cyrus SASL API implementation
Autoreqprov:  on
Group:        Development/Libraries/C and C++
Prefix:       %{_prefix}
Requires:     cyrus-sasl
%package      plain
Summary:      Cyrus SASL API implementation
Autoreqprov:  on
Group:        Development/Libraries/C and C++
Prefix:       %{_prefix}
Requires:     cyrus-sasl
%package      devel
Obsoletes:    cyrus-sasl2-devel
Provides:     cyrus-sasl2-devel
Summary:      Cyrus SASL API implmentation, Libraries and Header files
Autoreqprov:  on
Group:        Development/Libraries/C and C++
Prefix:       %{_prefix}
Requires:     cyrus-sasl = %{version}

%description
This is the Cyrus SASL API. It can be used on the client or server side
to provide authentication. See RFC 2222 for more information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description gssapi
This is the Cyrus SASL API implmentation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description devel
This is the Cyrus SASL API implmentation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description digestmd5
This is the Cyrus SASL API implmentation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description crammd5
This is the Cyrus SASL API implmentation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description otp
This is the Cyrus SASL API implmentation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description plain
This is the Cyrus SASL API implmentation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%prep
%setup -n cyrus-sasl-%{version} -a 1
%patch
%patch1
%patch2

%build
%{suse_update_config -f config}
%{suse_update_config -f saslauthd/config}
# has old libtool macros (and nothing else)
# rm -f acinclude.m4
# libtoolize --force
# cyrus-sasl2 does not work, when using newer libtool
aclocal -I cmulocal -I config
automake
autoheader
autoconf
cd saslauthd
autoconf
cd -
export CFLAGS=$RPM_OPT_FLAGS
export CPPFLAGS=-I/usr/include/heimdal
./configure 	--libdir=%{_libdir} \
		--with-plugindir=%{_libdir}/sasl2 \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=%{_mandir} \
		--with-saslauthd=/var/run/sasl2/ \
		--enable-pam \
		--enable-sample \
		--enable-login \
		--enable-gssapi \
		--enable-krb4=no
make sasldir=%{_libdir}/sasl2

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT sasldir=%{_libdir}/sasl2 install
install -m 755 -d $RPM_BUILD_ROOT/var/run/sasl2
install -D -g root -m 755 -o root SuSE/rc.saslauthd $RPM_BUILD_ROOT/etc/init.d/saslauthd
mkdir -p $RPM_BUILD_ROOT/sbin
ln -sf ../etc/init.d/saslauthd $RPM_BUILD_ROOT/sbin/rcsaslauthd
install -D -m 644 SuSE/sysconfig.saslauthd $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.saslauthd
cd utils
gcc -Wall -W -O2 -fmessage-length=0 -o dbconverter dbconverter-2.o ../sasldb/.libs/libsasldb.al -lresolv ../lib/.libs/libsasl2.so -ldl -ldb -Wl,--rpath -Wl,/usr/src/packages/BUILD/cyrus-sasl-2.1.12/lib/.libs
install -m 755 -o root -g root dbconverter $RPM_BUILD_ROOT/usr/sbin/dbconverter

%preun
%stop_on_removal saslauthd

%postun
%restart_on_update saslauthd
%insserv_cleanup

%post
%run_ldconfig
%{fillup_and_insserv -n saslauthd}

%files
/var/adm/fillup-templates/sysconfig.saslauthd
%config /etc/init.d/saslauthd
/sbin/rcsaslauthd
%dir %{_libdir}/sasl2
%{_libdir}/sasl2/libanonymous.so*
%{_libdir}/sasl2/libanonymous.la
%{_libdir}/sasl2/liblogin.so*
%{_libdir}/sasl2/liblogin.la
%{_libdir}/sasl2/libsasldb.so*
%{_libdir}/sasl2/libsasldb.la
%{_libdir}/libsasl2.so.*
/usr/sbin/*
%dir %attr(0755,root,root) /var/run/sasl2
%doc %{_mandir}/cat8
%doc %{_mandir}/man3/sasl.*.gz
%doc %{_mandir}/man8/*.gz
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README doc
%doc saslauthd/AUTHORS saslauthd/COPYING saslauthd/ChangeLog saslauthd/INSTALL saslauthd/LDAP_SASLAUTHD saslauthd/NEWS saslauthd/README 

%files gssapi
%{_libdir}/sasl2/libgssapiv2.so*
%{_libdir}/sasl2/libgssapiv2.la

%files crammd5
%{_libdir}/sasl2/libcrammd5.so*
%{_libdir}/sasl2/libcrammd5.la

%files digestmd5
%{_libdir}/sasl2/libdigestmd5.so*
%{_libdir}/sasl2/libdigestmd5.la

%files otp
%{_libdir}/sasl2/libotp.so*
%{_libdir}/sasl2/libotp.la

%files plain
%{_libdir}/sasl2/libplain.so*
%{_libdir}/sasl2/libplain.la

%files devel
/usr/include/sasl
%doc %{_mandir}/man3/sasl_*.gz
%{_libdir}/libsasl2.la
%{_libdir}/libsasl2.so

%changelog -n cyrus-sasl
* Wed Feb 16 2005 - choeger@suse.de
- Bugfix ID#50901 - VUL-0: cyrus-sasl: buffer overflow in digestmda5.c
* Wed Oct 06 2004 - choeger@suse.de
- Bugfix ID#46847 - VUL-0: SASL environment variable local root
* Tue Sep 16 2003 - kukuk@suse.de
- Add missing Provides [Bug #31005]
* Mon Sep 01 2003 - choeger@suse.de
- removed "-u root" from startproc as it always failes
- removed link to doc/components.html from doc/index.html as
  components.html does not exist (Bugzilla ID#29253)
* Thu Aug 14 2003 - choeger@suse.de
- Bugfix Bugzilla ID#28932:
  missing activation metadata in sysconfig template
* Wed Jul 30 2003 - choeger@suse.de
- new macros for stop/restart of services on rpm update/removal
* Tue Jul 15 2003 - choeger@suse.de
- update to version 2.1.15
* Mon Jun 30 2003 - choeger@suse.de
- update to version 2.1.14
* Wed Jun 18 2003 - ro@suse.de
- use kerberos-devel-packages in neededforbuild
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directory to filelist
* Fri May 09 2003 - choeger@suse.de
- use -ldb instead of -ldb-x.y to manually link the
  dbconverter
* Tue May 06 2003 - choeger@suse.de
- update to version 2.1.13
* Tue Apr 15 2003 - ro@suse.de
- added krb4-lib,krb4-devel to neededforbuild
* Mon Apr 07 2003 - choeger@suse.de
- renamed to cyrus-sasl
- splitted libraries for the following auth methods into seperate
  packages:
- crammd5
- digestmd5
- otp
- plain
  this is to prevent from annoying warnings about missing proper
  setup of mechanisms we don't use
* Thu Mar 06 2003 - choeger@suse.de
- ever used dbconverter-2? Well it is just a shell script
  which uses the damn compiled source tree... :-(
  manually building dbconverter to let users convert their
  /etc/sasldb from v1 to v2 using /usr/sbin/dbconverter
* Thu Mar 06 2003 - choeger@suse.de
- as cyrus-sasl is dropped now:
  provide cyrus-sasl-*, obsolete cyrus-sasl-*
  (Bugzilla ID# 24762)
* Tue Feb 04 2003 - choeger@suse.de
- update to cyrus-sasl-2.1.12, bug-fix release.
  This release addresses a few minor build and distribution
  related issues
* Mon Feb 03 2003 - choeger@suse.de
- update to cyrus-sasl-2.1.11, bug-fix release.
  It addresses a number of issues in the build system, a
  memory leak in the doors IPC method for saslauthd, and fixes the NTLM
  server side support to only require one of the LM or NT methods.
* Thu Jan 23 2003 - choeger@suse.de
- don't use new libtool macros as cyrus-sasl2 seems to not
  work when using them.
- added patch to compile shared libraries on ppc
* Wed Jan 15 2003 - kukuk@suse.de
- Remove openldap2 from needed for build
* Tue Jan 14 2003 - choeger@suse.de
- do not build the static library anymore
* Wed Dec 11 2002 - choeger@suse.de
- added sysconfig metadata to sysconfig templates
* Tue Dec 10 2002 - choeger@suse.de
- update to version 2.1.10
  This version corrects a number of DIGEST-MD5
  interoperability issues, as well as corrects some potential buffer
  overflows.
* Thu Oct 31 2002 - ro@suse.de
- make it build again
* Tue Oct 29 2002 - ro@suse.de
- remove own libtool macros
* Thu Oct 24 2002 - choeger@suse.de
- update to latest version 2.1.9
* Thu Sep 12 2002 - choeger@suse.de
- Bugfix Bugzilla ID#19383: cyrus-sasl-devel should conflict
  with cyrus-sasl2-devel, because they contain files with the
  same name
* Mon Aug 19 2002 - rhafer@suse.de
- enabled building of the static libsasl.a. It is needed for
  cyrus-imap to be usable with nss_ldap (which is linked against
  cyrus-sasl1)
* Mon Aug 12 2002 - choeger@suse.de
- update to version 2.1.7
* Thu Aug 08 2002 - choeger@suse.de
- added .la files to the sasl2 plugin directory
  ([lt_]dlopen seems to need that)
* Mon Aug 05 2002 - choeger@suse.de
- added Prereq
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Wed Jul 17 2002 - choeger@suse.de
- update to version 2.1.6
* Wed Jun 19 2002 - choeger@suse.de
- also install dbconverter-2 to be able to migrate from
  cyrus-sasl(1)
* Tue Jun 18 2002 - choeger@suse.de
- /var/run/sasl2 must be 755 to let non root daemons
  connect to unix socket
* Tue Jun 18 2002 - choeger@suse.de
- added initscript and sysconfig file for saslauthd
- added docs
* Tue Jun 18 2002 - rhafer@suse.de
- added opie to needforbuild
- should build on ppc64 and s390x now
* Mon Jun 17 2002 - rhafer@suse.de
- additional autoconf related patches, that were missing at first
  check in
* Mon Jun 17 2002 - rhafer@suse.de
- Initial checkin of cyrus-sasl-2.1.5
